DKBSignDocs

API reference

DELETERequires Bearer token

Remove a WebAuthn credential

/api/v1/mfa/webauthn/{credential}

Delete /api/v1/mfa/webauthn/{credential}. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

FieldTypeDescription
credential
Required
stringPath parameter credential.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
password
Required
stringCurrent account password.
e.g. "P@ssw0rd!"

Responses

StatusMeaning
200Credential removed
401Missing or invalid Bearer token.

Request

curl
curl -X DELETE 'https://api.dkbsigns.com/api/v1/mfa/webauthn/credential' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"password":"P@ssw0rd!"}'

Response 200

json
{
  "status": "success",
  "message": "Credential removed"
}